Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::DocFieldConsumersPerField Class Reference

`#include <DocFieldConsumersPerField.h>`

Inheritance diagram for Lucene::DocFieldConsumersPerField:

## Public Member Functions

| DocFieldConsumersPerField (const DocFieldConsumersPerThreadPtr &perThread, const DocFieldConsumerPerFieldPtr &one, const DocFieldConsumerPerFieldPtr &two)
virtual | ~DocFieldConsumersPerField ()
virtual String | getClassName ()
boost::shared_ptr< DocFieldConsumersPerField > | shared_from_this ()
virtual void | processFields (Collection< FieldablePtr > fields, int32_t count)
| Processes all occurrences of a single field.
virtual void | abort ()
Public Member Functions inherited from Lucene::DocFieldConsumerPerField
virtual | ~DocFieldConsumerPerField ()
boost::shared_ptr< DocFieldConsumerPerField > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::DocFieldConsumerPerField
static String | _getClassName ()

## Data Fields

DocFieldConsumerPerFieldPtr | one
DocFieldConsumerPerFieldPtr | two
DocFieldConsumersPerThreadWeakPtr | _perThread

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ DocFieldConsumersPerField()

Lucene::DocFieldConsumersPerField::DocFieldConsumersPerField | ( | const DocFieldConsumersPerThreadPtr & | perThread,
|  | const DocFieldConsumerPerFieldPtr & | one,
|  | const DocFieldConsumerPerFieldPtr & | two )

References one, and two.

Referenced by _getClassName().

## ◆ ~DocFieldConsumersPerField()

virtual Lucene::DocFieldConsumersPerField::~DocFieldConsumersPerField | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::DocFieldConsumersPerField::_getClassName | ( |  | ) |

inline static

References DocFieldConsumersPerField().

## ◆ abort()

virtual void Lucene::DocFieldConsumersPerField::abort | ( |  | ) |

virtual

Implements Lucene::DocFieldConsumerPerField.

## ◆ getClassName()

virtual String Lucene::DocFieldConsumersPerField::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::DocFieldConsumerPerField.

## ◆ processFields()

virtual void Lucene::DocFieldConsumersPerField::processFields | ( | Collection< FieldablePtr > | fields,
|  | int32_t | count )

virtual

Processes all occurrences of a single field.

Implements Lucene::DocFieldConsumerPerField.

## ◆ shared_from_this()

boost::shared_ptr< DocFieldConsumersPerField > Lucene::DocFieldConsumersPerField::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ _perThread

DocFieldConsumersPerThreadWeakPtr Lucene::DocFieldConsumersPerField::_perThread

## ◆ one

DocFieldConsumerPerFieldPtr Lucene::DocFieldConsumersPerField::one

Referenced by DocFieldConsumersPerField().

## ◆ two

DocFieldConsumerPerFieldPtr Lucene::DocFieldConsumersPerField::two

Referenced by DocFieldConsumersPerField().

The documentation for this class was generated from the following file:

- DocFieldConsumersPerField.h

clucene.sourceforge.net